@import url('./fonts.css');

@tailwind base;

/* Write your own custom base styles here */

/* Start purging... */
@tailwind components;
/* Stop purging. */

@import url('./prose.css');

body {
  @apply text-gray-800 font-brand;
  overscroll-behavior: none;
}

/* common parts */
h1, h2, h3, .font-brand-bold {
  @apply font-brand font-bold;
}

h1 {
  @apply text-4xl;
}

h2 {
  @apply text-4xl;
}

h3 {
  @apply text-2xl;
}

.title.alt {
  @apply text-white;
}

.sub-title.alt {
  @apply text-white opacity-60;
}

.title {
  @apply text-black;
}

.sub-title {
  @apply text-black opacity-50;
}

button.cta {
  @apply py-2 px-6 rounded-xl shadow-lg font-medium text-base;
}

.text-container {
  @apply p-5 bg-gray-50 text-gray-600 font-medium leading-tight rounded-xl text-base;
}

.text-container.alt {
  @apply p-5 bg-white/10 text-white font-medium leading-tight rounded-xl;
}

/* layout */
.with-padding-x {
  @apply px-5 sm:px-7 md:px-12 lg:px-20 2xl:px-32;
}

.menu-btn {
  @apply block uppercase mt-1 lg:inline lg:mt-0 opacity-80;  
}

.menu-btn.active {
  @apply inline-block relative scale-110 opacity-100;  
}

.locale-switcher-select {
  background-color: transparent !important;
}

.bg-svg {
  position: absolute;
  bottom: 0;
  width: 100%;
  height: auto;
}

.header-menu .active {
  /* @apply text-brand-celeste; */
}

.content-padding {
  @apply px-6;
}
.titles-padding {
  /* @apply max-w-xl; */
}

@screen md {
  .titles-padding {
    @apply max-w-lg;
  }
}

@screen lg {
  .header-menu {}
  h1 {
    @apply text-5xl;
  }
  
  h2 {
    @apply text-5xl;
  }
  
  h3 {
    @apply text-3xl;
  }
  
  .content-padding {
    @apply px-32;
  }
  .titles-padding {
    @apply max-w-xl;
  }
  .text-container {
    @apply w-4/5 text-base;
  }
  .lg-col-count-2 { column-count: 2; }
}

@screen xl {
  h1 {
    @apply text-7xl;
  }
  
  h2 {
    @apply text-6xl;
  }
  
  h3 {
    @apply text-4xl;
  }

  .content-padding {
    @apply px-36;
  }
  .text-container {
    @apply w-4/5 text-lg;
  }
}

@screen 2xl {
  .content-padding {
    @apply px-48;
  }
  .text-container {
    @apply w-3/5;
  }
}

@keyframes beatHeart {
  0% {
    -webkit-transform: scale(1);
            transform: scale(1);
  }
  25% {
    -webkit-transform: scale(1.1);
            transform: scale(1.1);
  }
  40% {
    -webkit-transform: scale(1);
            transform: scale(1);
  }
  60% {
    -webkit-transform: scale(1.1);
            transform: scale(1.1);
  }
  100% {
    -webkit-transform: scale(1);
            transform: scale(1);
  }
}

.beating {
  -webkit-animation: .9s infinite beatHeart;
          animation: .9s infinite beatHeart;
}

/* main menu transition */
.transition-opacity-90, .transition-opacity-full, .transition-opacity-none {
  transition: opacity 0.3s ease-in-out, visibility 0.3s ease-in-out;
}
.transition-opacity-90 {
  opacity: 0.9;
  visibility: visible;
}
.transition-opacity-full {
  opacity: 1;
  visibility: visible;
}
.transition-opacity-none {
  opacity: 0;
  visibility: hidden;
}

.z-5000 {
  z-index: 5000;
}
.z-4500 {
  z-index: 4500;
}
.z-4000 {
  z-index: 4000;
}
.z-2000 {
  z-index: 2000;
}

.ril__inner {
  /* indigo-2 con 80% de transparencia */
  background: #4022b980; 
}

/* Accordion */
.accordion-header {
  cursor: pointer;
}

.accordion-body {
  overflow: hidden;
}

.accordion-content {
  transform-origin: top center;
}

/* Start purging... */
@tailwind utilities;
/* Stop purging. */

/* Your own custom utilities */